Smart Proxy - Bug #1090

When editing DHCP records, ISC backend times out if the number of subnets is large.
Description

When adding hosts through Foreman, foreman-proxy times out if the number of subnets is large.
With 3k subnets, it takes 3-4 minutes to add the record.
In this time, the logs show that the proxy is "Enumerating hosts" for each subnet.

Something in-efficient is happening, and needs to be improved?

Related issues:

Related to Foreman - Bug #5847: Successfully adds DHCP record, while GUI repo... New 05/21/2014
Related to Smart Proxy - Tracker #1051: Optimize the smart proxy Rejected 07/18/2011
Related to Smart Proxy - Bug #2687: Performance issues with large ISC dataset... Closed 06/20/2013
History

#1 - 12/21/2011 03:49 AM - Ohad Levy

could you provide (here or privately) an example of such configuration? its would be much easier to optimize this way.

thanks

#2 - 12/26/2011 03:48 AM - Bash Shell

After the holidays, I'll privately send a similar config file.

#3 - 07/03/2012 09:18 AM - Ohad Levy

- Status changed from New to Need more information

#4 - 11/15/2012 01:47 PM - Bash Shell

| can't provide the company dhcpd.conf file.
But this is easy to re-produce.

Create a large number of subnets (say 500) and this problem happens.

#5 - 11/15/2012 01:55 PM - Bash Shell
- File dhcpd3-subnets.conf added

Attached is a dhcpd subnets file which can be included in the main dhcpd.conf.

#6 - 06/18/2013 09:25 AM - Benjamin Papillon

- Status changed from Need more information to New

#7 - 08/06/2014 04:38 AM - Dominic Cleal
- Related to Bug #5847 Successfully adds DHCP record, while GUI reports timeout added
#8 - 12/22/2014 09:35 AM - Daniel Gagnon

| successfully used the isc provider to manage over 3000 subnets and while it was slow and took a while to load them each time, never had a timeout.
YMMV

#9 - 03/15/2016 03:56 AM - Ohad Levy
- Related to Tracker #1051: Optimize the smart proxy added

#10 - 05/11/2016 10:47 AM - Anonymous
- Related to Bug #2687: Performance issues with large ISC dataset (DHCP smart proxy) added

#11 - 07/29/2016 06:42 AM - Dominic Cleal
- Description updated
- Category set to DHCP

- Status changed from New to Feedback

The inotify-related changes from ticket #2687 have now been made in develop (nightly) for 1.13, which should drastically reduce the amount of
re-parsing of config/lease files during smart proxy requests and moves the bulk of the work to the service startup. I'm moving this ticket state to
feedback as hopefully the next release will resolve this issue.

#12 - 05/17/2017 11:35 AM - Anonymous

- Status changed from Feedback to Resolved

Files

dhcpd3-subnets.conf 355 KB 11/15/2012 Bash Shell
